<?php
class qstr {
	
    public static function endsWith($main, $part) {
        $rb = false;
        $partLength = strlen($part);
        $startPosition = strlen($main) - $partLength;
        $mainPart = substr($main, $startPosition, $partLength);
		return $part == $mainPart;
    }
	
	// e.g. $message = qstr::smartPlural(count($files), 'files');
    public static function smartPlural($number, $plural, $singular = '(default)') {
        $r = '';
        $theSpace = '&nbsp;';

        //define singular if it was not given
        $singularDisplay = $singular;
        if ($singularDisplay == '(default)') {
            $singularDisplay = qstr::chopRight($plural, 's');
        }

        //e.g. 0 seconds
        if ($number == 0) {
            $r .= '0' . $theSpace . $plural;
        } else {
            //e.g. 1 second
            if ($number == 1) {
                $r .= '1' . $theSpace . $singularDisplay;
            } else {
                //e.g. 34 seconds
                $r .= $number . $theSpace . $plural;
            }
        }
        return $r;
    }	
	
    public static function chopRight($mainString, $stringToChop) {

        //define the portion of the main string which corresponds to the string to chop
        $lengthOfStringToChop = strlen($stringToChop);
        $startChopPosition = strlen($mainString) - $lengthOfStringToChop;
        $checkPart = substr($mainString, $startChopPosition, $lengthOfStringToChop);

        //check to see if they are the same
        if (qstr::areEqual($checkPart, $stringToChop)) {

            //they are equal, so chop it off
            $restLength = strlen($mainString) - $lengthOfStringToChop;
            $choppedString = substr($mainString, 0, $restLength);
        } else {

            //the string to chop is not on the left, so just return the main string
            $choppedString = $mainString;
        }

        return $choppedString;
    }
	
    public static function areEqual($term1, $term2) {
        return trim(strtoupper($term1)) == trim(strtoupper($term2));
    }	
	
    public static function addClassToUpperLowerFindText($main, $searchText, $class) {
		return preg_replace("/" . $searchText . "/i", '<span class="' . $class . '">$0</span>', $main);
    }	
	
	 
 
 
 
}
?>